package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.biz.RequestAdminLocationDocument;

public interface RequestAdminLocationDocumentDAO {

	void save(RequestAdminLocationDocument document);
	void delete(RequestAdminLocationDocument document);
	List<RequestAdminLocationDocument> listByDocumentId(final int documentId);
	List<RequestAdminLocationDocument> listByRequestId(final int requestId);
	List<RequestAdminLocationDocument> listByRequestIdAndGroupId(final int requestId, final int groupId);
}
